# RadioLib: AX25Client Class Reference

AX25Client Class Reference

Client for AX25 communication. More...

`#include <AX25.h>`

## Public Member Functions

| AX25Client (PhysicalLayer *phy)
| Constructor for 2-FSK mode. More...
| AX25Client (AFSKClient *aud)
| Constructor for AFSK mode. More...
| AX25Client (const AX25Client &ax25)
| Copy constructor. More...
AX25Client & | operator= (const AX25Client &ax25)
| Overload for assignment operator. More...
int16_t | setCorrection (int16_t mark, int16_t space, float length=1.0f)
| Set AFSK tone correction offset. On some platforms, this is required to get the audio produced by the setup to match the expected 1200/2200 Hz tones. More...
int16_t | begin (const char *srcCallsign, uint8_t srcSSID=0x00, uint8_t preLen=8)
| Initialization method. More...
int16_t | transmit (const char *str, const char *destCallsign, uint8_t destSSID=0x00)
| Transmit unnumbered information (UI) frame. More...
int16_t | sendFrame (AX25Frame *frame)
| Transmit arbitrary AX.25 frame. More...

## Friends

class | APRSClient

## Detailed Description

Client for AX25 communication.

## Constructor & Destructor Documentation

## AX25Client() [1/3]

AX25Client::AX25Client | ( | PhysicalLayer * | phy | ) |

explicit

Constructor for 2-FSK mode.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.

## AX25Client() [2/3]

AX25Client::AX25Client | ( | AFSKClient * | aud | ) |

explicit

Constructor for AFSK mode.

Parameters

  aud | Pointer to the AFSK instance providing audio.

## AX25Client() [3/3]

AX25Client::AX25Client | ( | const AX25Client & | ax25 | ) |

Copy constructor.

Parameters

  ax25 | AX25Client instance to copy.

## Member Function Documentation

## begin()

int16_t AX25Client::begin | ( | const char * | srcCallsign,
|  | uint8_t | srcSSID = `0x00`,
|  | uint8_t | preLen = `8`
| ) |  |

Initialization method.

Parameters

  srcCallsign | Callsign of the source station.
  srcSSID | 4-bit SSID of the source station (in case there are more stations with the same callsign). Defaults to 0.
  preLen | Number of "preamble" bytes (RADIOLIB_AX25_FLAG) sent ahead of the actual AX.25 frame. Does not include the first RADIOLIB_AX25_FLAG byte, which is considered part of the frame. Defaults to 8.

Returns
  Status Codes

## operator=()

AX25Client & AX25Client::operator= | ( | const AX25Client & | ax25 | ) |

Overload for assignment operator.

Parameters

  ax25 | rvalue AX25Client.

## sendFrame()

int16_t AX25Client::sendFrame | ( | AX25Frame * | frame | ) |

Transmit arbitrary AX.25 frame.

Parameters

  frame | Frame to be sent.

Returns
  Status Codes

## setCorrection()

int16_t AX25Client::setCorrection | ( | int16_t | mark,
|  | int16_t | space,
|  | float | length = `1.0f`
| ) |  |

Set AFSK tone correction offset. On some platforms, this is required to get the audio produced by the setup to match the expected 1200/2200 Hz tones.

Parameters

  mark | Positive or negative correction offset for mark audio frequency in Hz.
  space | Positive or negative correction offset for space audio frequency in Hz.
  length | Audio tone length modifier, defaults to 1.0.

Returns
  Status Codes

## transmit()

int16_t AX25Client::transmit | ( | const char * | str,
|  | const char * | destCallsign,
|  | uint8_t | destSSID = `0x00`
| ) |  |

Transmit unnumbered information (UI) frame.

Parameters

  str | Data to be sent.
  destCallsign | Callsign of the destination station.
  destSSID | 4-bit SSID of the destination station (in case there are more stations with the same callsign). Defaults to 0.

Returns
  Status Codes

The documentation for this class was generated from the following files:

- src/protocols/AX25/AX25.h
- src/protocols/AX25/AX25.cpp